Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.svgbrowser
Class ThumbnailDialog

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      javax.swing.JDialog
                          org.apache.batik.apps.svgbrowser.ThumbnailDialog

All Implemented Interfaces:
  ImageObserver, MenuContainer, Serializable, Accessible, RootPaneContainer, WindowConstants

    public class ThumbnailDialog

extends JDialog

This class represents a Dialog that displays a Thumbnail of the current SVG document.

See Also:
  Serialized Form

Nested Class Summary
`protected class` | `ThumbnailDialog.AreaOfInterestListener` Used to perform a translation using the area of interest.
`protected class` | `ThumbnailDialog.AreaOfInterestOverlay` An overlay that represents the current area of interest.
`protected class` | `ThumbnailDialog.ThumbnailCanvasComponentListener` Used to allow the SVG document being displayed by the thumbnail to be resized properly when parent resizes.
`protected class` | `ThumbnailDialog.ThumbnailComponentListener` Used to allow the SVG document being displayed by the thumbnail to be resized properly.
`protected class` | `ThumbnailDialog.ThumbnailDocumentListener` Used to determine whether or not the GVT tree of the thumbnail has to be updated.
`protected class` | `ThumbnailDialog.ThumbnailGVTListener` Used to update the overlay and/or the GVT tree of the thumbnail.
`protected class` | `ThumbnailDialog.ThumbnailListener` Used the first time the thumbnail dialog is shown to make visible the current GVT tree being displayed by the original SVG component.

Nested classes/interfaces inherited from class javax.swing.JDialog
`JDialog.AccessibleJDialog`

Nested classes/interfaces inherited from class java.awt.Dialog
`Dialog.AccessibleAWTDialog, Dialog.ModalExclusionType, Dialog.ModalityType`

Nested classes/interfaces inherited from class java.awt.Window
`Window.AccessibleAWTWindow`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`protected ThumbnailDialog.AreaOfInterestListener` | `aoiListener` The overlay used to display the area of interest.
`protected static ResourceBundle` | `bundle` The resource bundle
`protected boolean` | `documentChanged` A flag bit that indicates a document has been loaded.
`protected boolean` | `interactionEnabled`
`protected ThumbnailDialog.AreaOfInterestOverlay` | `overlay` The overlay used to display the area of interest.
`protected static ResourceManager` | `resources` The resource manager
`protected static String` | `RESOURCES` The resource file name
`protected JSVGCanvas` | `svgCanvas` The canvas that owns the SVG document to display.
`protected JGVTComponent` | `svgThumbnailCanvas` The canvas that displays the thumbnail.

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Dialog
`DEFAULT_MODALITY_TYPE`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ThumbnailDialog(Frame owner, JSVGCanvas svgCanvas)` Constructs a new `ThumbnailDialog` for the specified canvas.

Method Summary
`protected CanvasGraphicsNode` | `getCanvasGraphicsNode(GraphicsNode gn)`
`boolean` | `getInteractionEnabled()`
`void` | `setInteractionEnabled(boolean b)`
`protected void` | `updateThumbnailGraphicsNode()` Updates the thumbnail component.
`protected void` | `updateThumbnailRenderingTransform()` Updates the thumbnail component rendering transform.

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

Methods inherited from class java.awt.Dialog
`addNotify, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setModalityType, setResizable, setTitle, setUndecorated, setVisible, show, toBack`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOwnedWindows, getOwner, getOwnerlessWindows, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, setBackground, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RESOURCES

    protected static final String RESOURCES

  The resource file name

  See Also:
    Constant Field Values

### bundle

    protected static ResourceBundle bundle

  The resource bundle

### resources

    protected static ResourceManager resources

  The resource manager

### svgCanvas

    protected JSVGCanvas svgCanvas

  The canvas that owns the SVG document to display.

### svgThumbnailCanvas

    protected JGVTComponent svgThumbnailCanvas

  The canvas that displays the thumbnail.

### documentChanged

    protected boolean documentChanged

  A flag bit that indicates a document has been loaded.

### overlay

    protected ThumbnailDialog.AreaOfInterestOverlay overlay

  The overlay used to display the area of interest.

### aoiListener

    protected ThumbnailDialog.AreaOfInterestListener aoiListener

  The overlay used to display the area of interest.

### interactionEnabled

    protected boolean interactionEnabled

Constructor Detail

### ThumbnailDialog

    public ThumbnailDialog(Frame owner,
                           JSVGCanvas svgCanvas)

  Constructs a new `ThumbnailDialog` for the specified canvas.

  Parameters:
    `owner` - the owner frame
    `svgCanvas` - the canvas that owns the SVG document to display

Method Detail

### setInteractionEnabled

    public void setInteractionEnabled(boolean b)

### getInteractionEnabled

    public boolean getInteractionEnabled()

### updateThumbnailGraphicsNode

    protected void updateThumbnailGraphicsNode()

  Updates the thumbnail component.

### getCanvasGraphicsNode

    protected CanvasGraphicsNode getCanvasGraphicsNode(GraphicsNode gn)

### updateThumbnailRenderingTransform

    protected void updateThumbnailRenderingTransform()

  Updates the thumbnail component rendering transform.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.